Skip to main content
GET
/
allowlists
/
{org}
List allowlist
curl --request GET \
  --url https://app.kosli.com/api/v2/allowlists/{org} \
  --header 'Authorization: Bearer <token>'
[
  {
    "artifact_name": "<string>",
    "fingerprint": "<string>",
    "environment_name": "<string>",
    "timestamp": 123,
    "user_name": "<string>",
    "description": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Response

200 - application/json

Successful Response

artifact_name
string
required

the name of the artifact that is allowed

fingerprint
string
required

the sha256 fingerprint of the artifact that is allowed

Pattern: ^[a-f0-9]{64}$
environment_name
string
required

the name of the environment for which the artifact is allowed

timestamp
number
required

the timestamp when the artifact was allowed

user_name
string
required

the name of the user who allowed the artifact

description
string
required

the reason for allow listing this artifact

Last modified on April 9, 2026